Shell tool to interface to the ONOS component config REST API

Part of ONOS-6597

Change-Id: I0787467c25569dae06878715e05e468e5fa7a440
diff --git a/tools/package/runtime/bin/_check-json b/tools/package/runtime/bin/_check-json
new file mode 100644
index 0000000..e20c687
--- /dev/null
+++ b/tools/package/runtime/bin/_check-json
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+
+#
+# Copyright 2015-present Open Networking Laboratory
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# -----------------------------------------------------------------------------
+# Utility for checking syntax of JSON files
+# -----------------------------------------------------------------------------
+
+
+checkJson() {
+    cat ${1} | python -m json.tool >> /dev/null
+    if [ "$?" -ne "0" ]; then
+        echo "Not valid JSON File" && exit 1
+    fi
+}